org.apache.poi.hwpf.model

## Class Sttb

- java.lang.Object
- - org.apache.poi.hwpf.model.Sttb

-     public class Sttb
      extends java.lang.Object

  The STTB is a string table that is made up of a header that is followed by an array of elements. The cData value specifies the number of elements that are contained in the array.

  Class and fields descriptions are quoted from [MS-DOC] -- v20121003 Word (.doc) Binary File Format; Copyright (c) 2012 Microsoft Corporation; Release: October 8, 2012

  This class is internal. It content or properties may change without notice due to changes in our knowledge of internal Microsoft Word binary structures.

  Author:
    Sergey Vladimirov; according to [MS-DOC] -- v20121003 Word (.doc) Binary File Format; Copyright (c) 2012 Microsoft Corporation; Release: October 8, 2012

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Sttb(byte[] buffer, int startOffset)`
    `Sttb(int cDataLength, byte[] buffer, int startOffset)`
    `Sttb(int cDataLength, java.lang.String[] data)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fillFields(byte[] buffer, int startOffset)`
    `java.lang.String[]` | `getData()` The definition of each STTB specifies the meaning of this field.
    `int` | `getSize()`
    `byte[]` | `serialize()`
    `int` | `serialize(byte[] buffer, int offset)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Sttb

          public Sttb(byte[] buffer,
                      int startOffset)

    - #### Sttb

          public Sttb(int cDataLength,
                      byte[] buffer,
                      int startOffset)

    - #### Sttb

          public Sttb(int cDataLength,
                      java.lang.String[] data)

  - ### Method Detail

    - #### fillFields

          public void fillFields(byte[] buffer,
                                 int startOffset)

    - #### getData

          public java.lang.String[] getData()

      The definition of each STTB specifies the meaning of this field. If this STTB uses extended characters, the size of this field is 2*cchData bytes and it is a Unicode string unless otherwise specified by the STTB definition. If this STTB does not use extended characters, then the size of this field is cchData bytes and it is an ANSI string, unless otherwise specified by the STTB definition.

    - #### getSize

          public int getSize()

    - #### serialize

          public byte[] serialize()

    - #### serialize

          public int serialize(byte[] buffer,
                               int offset)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.